XPressME Integration Kit

フォーラム

Re: XPressME Integration Kit Ver2.4.4の自動更新

#3367
匿名
ゲスト

toemonさん

こんばんは。

お返事ありがとうございます。

その後、モジュールアップデートにも失敗することが分かり、その際のエラーメッセージから、サーバを移転してから、「2.XPressMEモジュールの /templatesディレクトリと、wp-contentsディレクトリのパーミッションを777に変更」を忘れていたことに気づきました。で、モジュールアップデートは成功するようになったのですが、自動アップデートは失敗するままです。。。

/wp-content/upgrade/配下に、

download.tmp/XPressME_Integration_Kit_Ver2.4.4/xpressme_integration_kit/・・・

のファイルが一瞬生成されて消えることまでは確認できたので、メッセージ通りダウンロードは成功しているようです。が、何度やっても同じです。

> パッケージの展開後に展開したディレクトリが見つからない場合に発生します

これは、どのディレクトリが存在することをチェックしているのでしょうか?

前述の通り、/wp-content/upgrade/配下に、一応、ファイルは一瞬生成されています。メッセージの内容からすると、何かファイルが足りないということですよね???

> 今回のXPressME2.4.4はWordPress3.4利用時のバグ対策が含まれますので、WordPress3.4にアップグレードされる前に、XPressME側をアップグレードしておいた方がよいと思います。

と思って、WordPress側の自動アップデートは保留しています。

また、/wp-content/upgrade/も777にしてみましたが特に変化ありません。

> これまでに、何度か自動更新されているようであれば、

これに関してはサーバ移転してから実行したかどうか記憶が定かではありません。

曖昧で申し訳ないです。

現在、運用には困っておりませんので緊急度はありませんが、今後、自動アップデートが行えないというのも不便ですので、何とか切り分けたいと思っています。

確認すべきものが思いつきましたら、お手すきのときにでも教えていただけると助かります。

毎度お手数おかけして申し訳ありません。

よろしくお願い致します。